members.dev
Groups

Update Group

Updates a Group

PATCH
/v1/groups/{group_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

group_id*string

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.members.dev/v1/groups/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "group_01KKSMB47VYGW97GFE67VGDK7M",
  "short_id": "XF42",
  "name": "VIP",
  "description": "string",
  "member_count": 0,
  "created_at": null,
  "updated_at": null,
  "members": [
    {
      "member_id": "member_01KKSMB47VYGW97GFE67VGDK7M",
      "membership_id": "group_membership_01KKSMB47VYGW97GFE67VGDK7M",
      "joined_at": null
    }
  ],
  "membership_history": [
    {
      "membership_id": "string",
      "member_id": "string",
      "joined_at": null,
      "removed_at": {}
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}